unit clientsIdOptionsUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Spin, ComCtrls;

type
  tClientsIdOptionsForm = class(TForm)
	topPanel: TPanel;
	bottomPanel: TPanel;
	okBtn: TButton;
	cancelBtn: TButton;
	replRndWithXXXBtn: TCheckBox;
	exceptionsBox: TEdit;
	Label1: TLabel;
	Label2: TLabel;
    replIDBtn: TCheckBox;
    dynIPBtn: TCheckBox;
    uselessPseudosBox: TEdit;
    Label3: TLabel;
    minRndCharsBox: TSpinEdit;
    maxRndCharsBox: TSpinEdit;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    significantSizeBox: TSpinEdit;
    Label7: TLabel;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    RichEdit1: TRichEdit;
    procedure replRndWithXXXBtnClick(Sender: TObject);
    procedure dynIPBtnClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
  public
  end;

var
  clientsIdOptionsForm: tClientsIdOptionsForm;

implementation

{$R *.dfm}

procedure tClientsIdOptionsForm.replRndWithXXXBtnClick(Sender: TObject);
begin
	exceptionsBox.enabled := replRndWithXXXBtn.checked;
	minRndCharsBox.enabled := replRndWithXXXBtn.checked;
	maxRndCharsBox.enabled := replRndWithXXXBtn.checked;
end;

procedure tClientsIdOptionsForm.dynIPBtnClick(Sender: TObject);
begin
	uselessPseudosBox.enabled := dynIPBtn.checked;
	significantSizeBox.enabled := dynIPBtn.checked;
end;

procedure tClientsIdOptionsForm.FormKeyPress(Sender: TObject;
  var Key: Char);
begin
	if key = #13 then modalResult := mrOk
	else if key = #27 then modalResult := mrCancel;
end;

end.
